/** -- Esta es otra manera de añadir otra fuente externa a nuestro código -- **/
@import url('https://fonts.googleapis.com/css2?family=Bungee+Spice&family=Faster+One&family=Rye&display=swap');

/*
********************* ESTILS GENERALS *************
*/

*{
    margin: 0px;
    padding: 0px;
}
body {
    font-family: Arial;
  }
h1{
    font-size:30px;
    font-family: 'Rye', cursive;
    animation: heartBeat; 
    animation-duration: 2s;
}
main{
    width: 100%;
    align-items: center;
}
h2 {
    text-shadow: 2px 2px 5px #0a91ab;
    margin-top: 20px;
    margin-left: 20px;
}
p{
    text-justify:auto;
    font-size: small;
    margin-bottom: 10px;
}


/*
************************* LOGO *********************
*/

.logo {
    background-image: linear-gradient(rgba(0, 132, 255, 0.637), black);
    width: 100%;
    text-align: center;
}
.logo img {
    width: 150px;
    height: 150px;
}

/*
********************* MENÚ NAVEGACIÓN *************
*/

nav {
    display: inline-block;
	width: 100%;
	text-align: center;
	position: sticky;
    top: 0;
    z-index: 100;
    background-color: rgb(0, 0, 0);
    border-bottom-style: outset;
    border-color: red;
}
nav ul {
    list-style-type: none;
    text-align: center;
    overflow: hidden;
}
nav li {
    display: inline-block;
    margin-right: 15px;
}
nav a {
    font-size: small;
    display: inline-block;
    font-family: 'Bungee Spice', cursive;
    padding: 14px 16px;
    text-decoration: none;
    transition: all 0.5s ease;
} 
nav a:hover {
    background-color: wheat;
}
nav li.desplegable {
    display: inline-block;
}
nav .desplegable-contenido {
    display: none;
    position: absolute;
    background-color: rgba(17, 17, 17, 0.959);
    min-width: 120px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}
nav .desplegable-contenido a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
}
nav .desplegable:hover .desplegable-contenido {
    display: block;
}

/*
********************** VIDEOJUEGOS *********************
*/

.primeraclas{
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    justify-content: space-evenly;
}
article {
    border-color: #ffc045;
    width: clamp(300px,30%,480px);
    height: fit-content;
    margin-top: 1rem;
    border: 2px solid #ffc045;
    position: relative;
    border-radius: 5px;
    overflow: hidden;
}
article .info_videojuego{
    height: 50%;
    width: 100%; 
}
article img{
    width: 100%;
    height: 250px;
    overflow: hidden;
}
article h4 {
    color: #ffc045;
    margin-left: 8px;
    margin-top: 5px;
}
.primeraclas article:hover {
    border: 2px solid #e6a628;
    box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24),0 17px 50px 0 rgba(0,0,0,0.19);
}
.primeraclas article p {
    overflow:auto;
    height: 5rem;
    font-size: small;
    margin: 8px;
}

/*
********************** BUTTON ************************
*/

article span a{
    font-size: small;
}
button, span a {
    float: right;
    color: black;
    text-decoration: none ;
    border-style: outset;
    border-color: #e7a728;
    padding: 2px 6px;
    border-radius: 3px;
    transition: all 0.5s ease;
    margin-right: 8px;
    margin-bottom: 5px;
    cursor: pointer;
    transition-duration: 0.4s;
    background-image: -webkit-linear-gradient(top, #ffc045, #be9032);
}
button::backdrop{
    background-color: wheat;
}
button:hover{
    background-color: #e6a628;
    color: white;
    box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24),0 17px 50px 0 rgba(0,0,0,0.19);
    width: 75px;
    height: 25px; 
}

/*
********************** TRUCOS ************************
*/

.cajon{
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    justify-content: space-evenly;
}
aside{
    float: left;
    width: 30%;
    background-color:#0a90ab34;
    height: auto;
    margin-top: 2%;
}
aside h2{
    text-align: center;
}
aside h5{
    color: #0a91ab;
    margin-left: 4%;
    font-size: medium;
}
aside p{
    margin-left: 4%;
    margin-right: 2%;
    line-height: 2em;
}
aside span{
    font-weight:900;
}

/*
********************** NOTICIAS ************************
*/

.segundaclas{
    display: flex;
    flex-wrap: wrap;
    justify-content:space-around;
}
.noticias {
    flex-wrap: wrap;
    margin-top: 1rem;
    width: 70%;
}
.noticias article{
    text-decoration: none ;
    border: none;
    width: clamp(300px,40%,450px);
    position: relative;
    margin-bottom: 30px;
}
.noticias h2{
   text-align: center;
}
.noticias h5{
    color:#ffc045;
    font-size: medium;
    text-justify: auto;
    margin-bottom: 5px;
 }
.noticias img{
    height: 220px;
}
.noticias button {
    position: absolute;
    bottom: 10px;
    margin-left: 2%;
    margin-right: 2%;
    width: 96%;
    text-align: right;
}

/*
********************** RANKING ************************
*/

.Rank{
    text-align: center;
    background-color: #8A8070;  
}
.Rank h4{
   padding: 10px;
   font-size:30px;
   color: rgba(0, 0, 0, 0.801);
}
.Rank h6{
    font-size: 17px;
}
.Rank p{
    font-size: 12px;
}
.Rank .jugador{
    width: 16%; 
    max-width: 345px;
    padding-bottom: 10px;
    display: inline-block;
    font-size: inherit;
}
.Rank .jugador img{
    width: 100px;
    height: 100px;
    border-radius: 150px;
}

/*
********************** FOOTER ************************
*/

footer {
    background-color: white;
    text-align: center;
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    justify-content: space-around;
    border-top: solid #665f53;
}
footer .footer-logos-rs{
    float: left;
	width: 25px;
	height: 25px;
	margin:4px;
	vertical-align: top;
    margin-top: 8px;
}
footer .copy{
    float: right;
    margin-top: 10px;
}
footer address{
    margin-top: 5px;
}